WinNT.PRIVILEGE_SET (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: PRIVILEGE_SET

Package com.sun.jna.platform.win32

# Class WinNT.PRIVILEGE_SET

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.PRIVILEGE_SET

Enclosing interface:
  WinNT

@FieldOrder({"PrivilegeCount","Control","Privileges"}) public static class WinNT.PRIVILEGE_SET extends Structure
Specifies a set of privileges.
It is also used to indicate which, if any, privileges are held by a user or group requesting access to an object.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.DWORD`
  `Control`
  `WinDef.DWORD`
  `PrivilegeCount`
  `WinNT.LUID_AND_ATTRIBUTES[]`
  `Privileges`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PRIVILEGE_SET()`
  `PRIVILEGE_SET(int nbOfPrivileges)`
  `PRIVILEGE_SET(Pointer p)`
  Initialize a TOKEN_PRIVILEGES instance from initialized memory.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PrivilegeCount

    public WinDef.DWORD PrivilegeCount

  - ### Control

    public WinDef.DWORD Control

  - ### Privileges

    public WinNT.LUID_AND_ATTRIBUTES[] Privileges

- ## Constructor Details

  - ### PRIVILEGE_SET

    public PRIVILEGE_SET()

  - ### PRIVILEGE_SET

    public PRIVILEGE_SET(int nbOfPrivileges)
    Parameters:
      `nbOfPrivileges` - Desired size of the Privileges array

  - ### PRIVILEGE_SET

    public PRIVILEGE_SET(Pointer p)
    Initialize a TOKEN_PRIVILEGES instance from initialized memory.
    Parameters:
      `p` - base address